%global pkg_suffix -1

Name:    testssl
Version: 2.9.5
Release: 2%{?dist}

Summary: Testing TLS/SSL encryption
License: GPLv2
URL:     https://testssl.sh/
Source0: https://github.com/drwetter/%{name}.sh/archive/v%{version}%{?pkg_suffix}.tar.gz#/%{name}-%{version}%{?pkg_suffix}.tar.gz

BuildArch: noarch

BuildRequires: coreutils
BuildRequires: sed

Requires: bash
# dig, host, nslookup
Requires: bind-utils
# /etc/pki/tls
Requires: ca-certificates
Requires: coreutils
Requires: gawk
# locale
Requires: glibc-common
Requires: grep
Requires: hostname
# tput
Requires: ncurses
Requires: openssl >= 1
# ps
Requires: procps-ng
Requires: sed
# hexdump, kill
Requires: util-linux

%description
testssl.sh is a free command line tool which checks a server's service on any
port for the support of TLS/SSL ciphers, protocols as well as recent
cryptographic flaws and more.

%prep
%autosetup -n %{name}.sh-%{version}%{?pkg_suffix}
sed --in-place '1s#^\#!/usr/bin/env bash$#\#!/bin/bash#' %{name}.sh etc/client-simulation.txt
sed --in-place 's#^TESTSSL_INSTALL_DIR=.*$#TESTSSL_INSTALL_DIR="%{_datadir}/%{name}"#' %{name}.sh
sed --in-place 's#^CA_BUNDLES_PATH=.*$#CA_BUNDLES_PATH="/etc/pki/tls"#' %{name}.sh

%build

%install
install -D --preserve-timestamps %{name}.sh %{buildroot}%{_bindir}/%{name}

for file in ca_hashes.txt cipher-mapping.txt client-simulation.txt common-primes.txt tls_data.txt
do
	install -D --preserve-timestamps --mode=0644 etc/${file} %{buildroot}%{_datadir}/%{name}/etc/${file}
done

%files
%doc CHANGELOG.stable-releases.txt openssl-rfc.mappping.html Readme.md
%license LICENSE
%{_bindir}/*
%{_datadir}/%{name}

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Sep 25 2017 Michael Kuhn <suraia@ikkoku.de> - 2.9.5-1
- Update to 2.9.5

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Apr 13 2017 Michael Kuhn <suraia@ikkoku.de> - 2.8-1
- Update to 2.8

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8-0.2.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 30 2016 Michael Kuhn <suraia@ikkoku.de> - 2.8-0.1.rc3
- Update to 2.8rc3.

* Wed Feb 24 2016 Michael Kuhn <suraia@ikkoku.de> - 2.6-3
- Add BuildRequires for coreutils.
- Fix shebang.
- Install openssl-rfc.mappping.html.

* Tue Feb 23 2016 Michael Kuhn <suraia@ikkoku.de> - 2.6-2
- Require OpenSSL >= 1.
- Add Requires for miscellaneous utilities.
- Install mapping-rfc.txt.

* Thu Feb 18 2016 Michael Kuhn <suraia@ikkoku.de> - 2.6-1
- Initial package.
